# SourcePath: lvm2/20190325dev
Summary: Userland logical volume management tools 
Name: sony-target-dev-lvm2
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-lvm2
Version: 2.02.98
Release: 14010002
License: GPL2 / LGPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
URL: http://sources.redhat.com/lvm2
Source0: LVM2.%{version}.tgz
Patch1: lvm2-fsadm-fix.patch
Patch2: lvm2.2.02.98-mlock-fix.patch 
Prefix: %{sony_target_dir}

%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%package -n %{pkgname}
Summary: Userland logical volume management tools 
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%prep
%setup -q -n LVM2.%{version}
%patch1 -p1
%patch2 -p1

%build
%sony_target_dev_setup
export ac_cv_func_malloc_0_nonnull=yes
export ac_cv_func_realloc_0_nonnull=yes
./configure \
        --host=%{sony_target_config} \
        --build=%{sony_host_config} \
        --prefix=%{sony_target_dev_prefix} \
        --exec_prefix=%{sony_target_dev_exec_prefix} \
        --libdir=%{sony_target_dev_lib_dir} \
        --includedir=%{sony_target_dev_include_dir} \
	--enable-static_link \
	--enable-applib \
	--enable-cmdlib \
	--enable-lvm1_fallback \
	--with-pool=internal --with-staticdir=%{sony_target_dev_dir}/sbin \
        --with-confdir=%{sony_target_dev_sysconf_dir} \
	--with-user= --with-group=
make 

%install
rm -rf %{buildroot}
%sony_target_dev_setup
make install DESTDIR=%{buildroot}%{sony_target_dir}

ln -s lvm.static %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/lvm
ln -s lvm.static %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/pvscan
ln -s lvm.static %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/vgchange
ln -s lvm.static %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/vgscan

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
#%doc COPYING COPYING.LIB INSTALL README VERSION WHATS_NEW
%{sony_target_dir}%{sony_target_dev_dir}/sbin/lvm.static
%{sony_target_dir}%{sony_target_dev_dir}/sbin/dmsetup.static
%{sony_target_dir}%{sony_target_dev_dir}/sbin/lvm
%{sony_target_dir}%{sony_target_dev_dir}/sbin/pvscan
%{sony_target_dir}%{sony_target_dev_dir}/sbin/vgscan
%{sony_target_dir}%{sony_target_dev_dir}/sbin/vgchange
%{sony_target_dir}%{sony_target_dev_sbin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_include_dir}/libdevmapper.h
%{sony_target_dir}%{sony_target_dev_include_dir}/lvm2app.h
%{sony_target_dir}%{sony_target_dev_include_dir}/lvm2cmd.h
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/lvm
%changelog
* Thu May 16 2019 Sony Corporation
- Test failure fix

* Mon Mar 25 2019 Sony Corporation
- Version downgraded to 2.02.98

* Mon Dec 24 2018 Sony Corporation
- Initial build.

* Fri Dec 01 2006 Sony Corporation
- add %sony_target_dev_setup

* Wed Aug 9 2006 Sony Corporation
- Initial Build
